> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Customer Wallet Payment Method



## OpenAPI

````yaml swagger-001.json PUT /v1/customers/{Customer}/wallet/{Wallet}
openapi: 3.0.4
info:
  title: Ecrypt API
  description: Ecrypt API
  termsOfService: https://ecrypt.com
  contact:
    name: Dev Support
    url: https://developer.ecrypt.com
    email: devsupport@ecrypt.com
  version: v1
servers:
  - url: https://api.ecrypt.com
    description: Live
security:
  - x-api-key: []
paths:
  /v1/customers/{Customer}/wallet/{Wallet}:
    put:
      tags:
        - Customers Wallet
      summary: Modify Customer Wallet Payment Method
      parameters:
        - name: Customer
          in: path
          description: ''
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
        - name: Wallet
          in: path
          description: ''
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWalletModifyRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWalletModifyRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWalletModifyRequest
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWalletGetResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWalletModifyRequest:
      type: object
      properties:
        default:
          type: boolean
          description: Make this the default payment method
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWalletGetResponse:
      required:
        - requestId
      type: object
      properties:
        wallet:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWallet
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.ResponseBaseError
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerWallet:
      required:
        - id
      type: object
      properties:
        id:
          maxLength: 64
          minLength: 8
          pattern: ^[0-9A-Za-z-]*$
          type: string
          description: Ecrypt Customer Wallet Payment Method Identifier
          default: 00000000-0000-0000-0000-000000000000
        network:
          type: string
          description: ''
        accountNumber:
          type: string
          description: ''
        expiry:
          type: string
          nullable: true
        default:
          type: boolean
          description: ''
        created:
          type: string
          description: ''
        address:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Address
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.ResponseBaseError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Transactions.Address:
      type: object
      properties:
        name:
          type: string
          nullable: true
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
      additionalProperties: false
      nullable: true
  securitySchemes:
    x-api-key:
      type: apiKey
      description: Authorization by x-api-key inside request's header
      name: x-api-key
      in: header

````